Foxit PDF SDK

Public Member Functions | List of all members
FSDK.ParagraphEditingProviderCallback Class Reference

## Public Member Functions
| AddUndoItem (undo_item)
| A callback function used to notify the page to add undo operation. More...
| GetClientRect (document)
| A callback function to get the client rectangle in device coordinate system. More...
| GetCurrentPageIndex (document)
| A callback function used to get current page index. More...
| GetPageRect (document, page_index)
| A callback function used to get page rectangle in device coordinate system. More...
| GetPageViewHandle (document, page_index)
| A callback function to get the page view window handle. More...
| GetPageVisibleRect (document, page_index)
| A callback function used to get visible page rectangle in device coordinate system. More...
| GetRenderMatrix (document, page_index)
| A callback function to get the render matrix. More...
| GetRotation (document, page_index)
| A callback function used to get the page view rotate. More...
| GetScale (document, page_index)
| A callback function to get the scale of page. More...
| GetVisiblePageIndexArray (document)
| A callback function used to get visible page indexes. More...
| GotoPageView (document, page_index, left, top)
| A callback function to go to page view. More...
| InvalidateRect (document, page_index, invalid_rects)
| A callback function used to invalidate page rectangle. More...
| NotifyTextInputReachLimit (document, page_index)
| A callback function used to notify text input reach limit. More...
| Release ()
| A callback function used to release current callback object itself. More...
| SetDocChangeMark (document)
| A callback function used to notify the document have changed. More...

## Detailed Description

This class represents a callback object for paragraph edit provider. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ AddUndoItem()

FSDK.ParagraphEditingProviderCallback.AddUndoItem | ( | undo_item |  | ) |

A callback function used to notify the page to add undo operation.

Parameters

  [in] | undo_item | The undo item object.

Returns
  None.

## ◆ GetClientRect()

FSDK.ParagraphEditingProviderCallback.GetClientRect | ( | document |  | ) |

A callback function to get the client rectangle in device coordinate system.

    @param[in] document  The valid pdf document.

Returns
  The client rectangle.

## ◆ GetCurrentPageIndex()

FSDK.ParagraphEditingProviderCallback.GetCurrentPageIndex | ( | document |  | ) |

A callback function used to get current page index.

    @param[in] document  The valid pdf document.

Returns
  The page index.

## ◆ GetPageRect()

FSDK.ParagraphEditingProviderCallback.GetPageRect | ( | document | ,
|  | page_index |
| ) |  |

A callback function used to get page rectangle in device coordinate system.

    @param[in] document  The valid pdf document.

Parameters

  [in] | page_index | The page index.

Returns
  The page rectangle.

## ◆ GetPageViewHandle()

FSDK.ParagraphEditingProviderCallback.GetPageViewHandle | ( | document | ,
|  | page_index |
| ) |  |

A callback function to get the page view window handle.

    @param[in] document  The valid pdf document.

Parameters

  [in] | page_index | The page index.

Returns
  The page view window handle.

## ◆ GetPageVisibleRect()

FSDK.ParagraphEditingProviderCallback.GetPageVisibleRect | ( | document | ,
|  | page_index |
| ) |  |

A callback function used to get visible page rectangle in device coordinate system.

    @param[in] document  The valid pdf document.

Parameters

  [in] | page_index | The page index.

Returns
  The page visble rectangle.

## ◆ GetRenderMatrix()

FSDK.ParagraphEditingProviderCallback.GetRenderMatrix | ( | document | ,
|  | page_index |
| ) |  |

A callback function to get the render matrix.

    @param[in] document  The valid pdf document.

Parameters

  [in] | editor_page | A valid editor page object.

Returns
  The matrix.

## ◆ GetRotation()

FSDK.ParagraphEditingProviderCallback.GetRotation | ( | document | ,
|  | page_index |
| ) |  |

A callback function used to get the page view rotate.

    @param[in] document  The valid pdf document.

Parameters

  [in] | page_index | The page index.

Returns
  The indent value.

## ◆ GetScale()

FSDK.ParagraphEditingProviderCallback.GetScale | ( | document | ,
|  | page_index |
| ) |  |

A callback function to get the scale of page.

    @param[in] document  The valid pdf document.

Parameters

  [in] | page_index | The page index.

Returns
  The scale value. The returned value should be greater than 0.

## ◆ GetVisiblePageIndexArray()

FSDK.ParagraphEditingProviderCallback.GetVisiblePageIndexArray | ( | document |  | ) |

A callback function used to get visible page indexes.

    @param[in] document  The valid pdf document.

Returns
  The visble page index array.

## ◆ GotoPageView()

FSDK.ParagraphEditingProviderCallback.GotoPageView | ( | document | ,
|  | page_index | ,
|  | left | ,
|  | top |
| ) |  |

A callback function to go to page view.

    @param[in] document  The valid pdf document.

Parameters

  [in] | page_index | The page index.
  [in] | left | The left point where left mouse button is up in the page, in pdf coordination system.
  [in] | top | The top point where left mouse button is up in the page, in pdf coordination system.

Returns
  true means successful, while false means not.

## ◆ InvalidateRect()

FSDK.ParagraphEditingProviderCallback.InvalidateRect | ( | document | ,
|  | page_index | ,
|  | invalid_rects |
| ) |  |

A callback function used to invalidate page rectangle.

    @param[in] document  The valid pdf document.

Parameters

  [in] | page_index | The page index.
  [in] | rects | The invalid areas. The rectangle in invalid_rects is in device coordination system.

Returns
  None.

## ◆ NotifyTextInputReachLimit()

FSDK.ParagraphEditingProviderCallback.NotifyTextInputReachLimit | ( | document | ,
|  | page_index |
| ) |  |

A callback function used to notify text input reach limit.

    @param[in] document  The valid pdf document.

Parameters

  [in] | editor_page | The editor page.

Returns
  None.

## ◆ Release()

FSDK.ParagraphEditingProviderCallback.Release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ SetDocChangeMark()

FSDK.ParagraphEditingProviderCallback.SetDocChangeMark | ( | document |  | ) |

A callback function used to notify the document have changed.

Parameters

  [in] | document | The valid pdf document.

Returns
  None.